Package org.gradle.jvm.toolchain

# Interface JavaCompiler

public interface JavaCompiler
A java compiler used by compile tasks.

Since:
  6.7

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RegularFile`
  `getExecutablePath()`
  Returns the path to the executable for this tool
  `JavaInstallationMetadata`
  `getMetadata()`
  Returns metadata information about this tool

- ## Method Details

  - ### getMetadata

    JavaInstallationMetadata getMetadata()
    Returns metadata information about this tool
    Returns:
      the tool metadata

  - ### getExecutablePath

    @Internal RegularFile getExecutablePath()
    Returns the path to the executable for this tool
    Returns:
      the path to the executable